org.wso2.carbon.mdm.services.android.services

## Interface DeviceManagementAdminService

- All Known Implementing Classes:
    DeviceManagementAdminServiceImpl

      public interface DeviceManagementAdminService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `blacklistApplications(BlacklistApplicationsBeanWrapper blacklistApplicationsBeanWrapper)`
    `javax.ws.rs.core.Response` | `changeLockCode(LockCodeBeanWrapper lockCodeBeanWrapper)`
    `javax.ws.rs.core.Response` | `configureCamera(CameraBeanWrapper cameraBeanWrapper)`
    `javax.ws.rs.core.Response` | `configureDeviceLock(DeviceLockBeanWrapper deviceLockBeanWrapper)`
    `javax.ws.rs.core.Response` | `configureDeviceUnlock(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `configureVPN(VpnBeanWrapper vpnBeanWrapper)`
    `javax.ws.rs.core.Response` | `configureWifi(WifiBeanWrapper wifiBeanWrapper)`
    `javax.ws.rs.core.Response` | `encryptStorage(EncryptionBeanWrapper encryptionBeanWrapper)`
    `javax.ws.rs.core.Response` | `getApplications(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `getDeviceInformation(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `getDeviceLocation(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `getDeviceLogcat(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `installApplication(ApplicationInstallationBeanWrapper applicationInstallationBeanWrapper)`
    `javax.ws.rs.core.Response` | `muteDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `rebootDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `removePassword(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `ringDevice(List<String> deviceIDs)`
    `javax.ws.rs.core.Response` | `sendNotification(NotificationBeanWrapper notificationBeanWrapper)`
    `javax.ws.rs.core.Response` | `setPasswordPolicy(PasswordPolicyBeanWrapper passwordPolicyBeanWrapper)`
    `javax.ws.rs.core.Response` | `setWebClip(WebClipBeanWrapper webClipBeanWrapper)`
    `javax.ws.rs.core.Response` | `uninstallApplication(ApplicationUninstallationBeanWrapper applicationUninstallationBeanWrapper)`
    `javax.ws.rs.core.Response` | `updateApplication(ApplicationUpdateBeanWrapper applicationUpdateBeanWrapper)`
    `javax.ws.rs.core.Response` | `upgradeFirmware(UpgradeFirmwareBeanWrapper upgradeFirmwareBeanWrapper)`
    `javax.ws.rs.core.Response` | `wipeData(WipeDataBeanWrapper wipeDataBeanWrapper)`
    `javax.ws.rs.core.Response` | `wipeDevice(List<String> deviceIDs)`

- - ### Method Detail

    - #### configureDeviceLock

          javax.ws.rs.core.Response configureDeviceLock(DeviceLockBeanWrapper deviceLockBeanWrapper)

    - #### configureDeviceUnlock

          javax.ws.rs.core.Response configureDeviceUnlock(List<String> deviceIDs)

    - #### getDeviceLocation

          javax.ws.rs.core.Response getDeviceLocation(List<String> deviceIDs)

    - #### removePassword

          javax.ws.rs.core.Response removePassword(List<String> deviceIDs)

    - #### configureCamera

          javax.ws.rs.core.Response configureCamera(CameraBeanWrapper cameraBeanWrapper)

    - #### getDeviceInformation

          javax.ws.rs.core.Response getDeviceInformation(List<String> deviceIDs)

    - #### getDeviceLogcat

          javax.ws.rs.core.Response getDeviceLogcat(List<String> deviceIDs)

    - #### wipeDevice

          javax.ws.rs.core.Response wipeDevice(List<String> deviceIDs)

    - #### wipeData

          javax.ws.rs.core.Response wipeData(WipeDataBeanWrapper wipeDataBeanWrapper)

    - #### getApplications

          javax.ws.rs.core.Response getApplications(List<String> deviceIDs)

    - #### ringDevice

          javax.ws.rs.core.Response ringDevice(List<String> deviceIDs)

    - #### rebootDevice

          javax.ws.rs.core.Response rebootDevice(List<String> deviceIDs)

    - #### muteDevice

          javax.ws.rs.core.Response muteDevice(List<String> deviceIDs)

    - #### installApplication

          javax.ws.rs.core.Response installApplication(ApplicationInstallationBeanWrapper applicationInstallationBeanWrapper)

    - #### updateApplication

          javax.ws.rs.core.Response updateApplication(ApplicationUpdateBeanWrapper applicationUpdateBeanWrapper)

    - #### uninstallApplication

          javax.ws.rs.core.Response uninstallApplication(ApplicationUninstallationBeanWrapper applicationUninstallationBeanWrapper)

    - #### blacklistApplications

          javax.ws.rs.core.Response blacklistApplications(BlacklistApplicationsBeanWrapper blacklistApplicationsBeanWrapper)

    - #### upgradeFirmware

          javax.ws.rs.core.Response upgradeFirmware(UpgradeFirmwareBeanWrapper upgradeFirmwareBeanWrapper)

    - #### configureVPN

          javax.ws.rs.core.Response configureVPN(VpnBeanWrapper vpnBeanWrapper)

    - #### sendNotification

          javax.ws.rs.core.Response sendNotification(NotificationBeanWrapper notificationBeanWrapper)

    - #### configureWifi

          javax.ws.rs.core.Response configureWifi(WifiBeanWrapper wifiBeanWrapper)

    - #### encryptStorage

          javax.ws.rs.core.Response encryptStorage(EncryptionBeanWrapper encryptionBeanWrapper)

    - #### changeLockCode

          javax.ws.rs.core.Response changeLockCode(LockCodeBeanWrapper lockCodeBeanWrapper)

    - #### setPasswordPolicy

          javax.ws.rs.core.Response setPasswordPolicy(PasswordPolicyBeanWrapper passwordPolicyBeanWrapper)

    - #### setWebClip

          javax.ws.rs.core.Response setWebClip(WebClipBeanWrapper webClipBeanWrapper)

Copyright © 2017 WSO2. All rights reserved.